var x = 6,
    y = 14,
    z = 4;

document.write((x += y - x++ * z)+ "<br/>");

/*
    1. x++ це інкремент - він має постфіксну форму і виконається пізніше, дорівнює 6;
    2. 6 * 4 = 24;
    3. 14 - 24 = -10;
    4. 6 + (-10) = -4.
*/

x = 6,
y = 14,
z = 4;

document.write((z =--x - y * 5) + "<br/>");

/*    
     1.--x - це декремент, префіксна форма, тому він виконується перед використанням змінної, дорівнює 5 ; 
     2. y * 5 = 14 * 5 = 70;
     3. 5 - 70 = -65.
*/

x = 6,
y = 14,
z = 4;

document.write((y /= x + 5 % z) + "<br/>");

/*  
     1. % - оператор взяття залишку, 5 % z = 5 % 4 = 1;
     2. 6 + 1 = 7;
     3. 14 / 7 = 2.
*/

x = 6,
y = 14,
z = 4;

document.write(( z - x++ + y * 5) + "<br/>");

/*  
     1. x++ це інкремент - він має постфіксну форму і виконається пізніше, дорівнює 6;
     2.  y * 5 = 14 * 5 = 70;
     3. 4 - 6 = -2;
     4. -2 + 70 = 68.
*/

x = 6,
y = 14,
z = 4;

document.write((x = y - x++ * z) + "<br/>");

/*  
     1.x++ це інкремент - він має постфіксну форму і виконається пізніше, дорівнює 6;
     2. 6 * 4 = 24;  ;
     3. 14 - 24 = -10.
*/